Bug 23913 - Use a single menu to sort lists in the OPAC
Summary: Use a single menu to sort lists in the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23903
Blocks: 23915
  Show dependency treegraph
 
Reported: 2019-10-28 15:33 UTC by Owen Leonard
Modified: 2020-01-12 21:33 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement modifies the sorting form on the OPAC list contents view so that the two menus (sort field and direction) are combined into one. This makes it consistent with the sort menu on the search results page.
Version(s) released in:
20.05.00


Attachments
Bug 23913: Use a single menu to sort lists in the OPAC (11.04 KB, patch)
2019-10-28 16:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23913: Use a single menu to sort lists in the OPAC (11.09 KB, patch)
2019-11-02 22:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23913: Use a single menu to sort lists in the OPAC (11.17 KB, patch)
2019-12-16 14:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-10-28 15:33:50 UTC
Right now in the OPAC the controls for re-sorting a list uses two menus: One for the sort field and one for the direction. I think these should be combined like they are on the search results page.

Instead of having:

Sort by: [Author] [Ascending]

We should have:

Sort by:

[ Author
  ------
  Author (A-Z)
  Author (Z-A) ]
Comment 1 Owen Leonard 2019-10-28 16:13:05 UTC
Created attachment 94814 [details] [review]
Bug 23913: Use a single menu to sort lists in the OPAC

This patch modifies the sorting form on the OPAC list contents view so
that the two menus (sort field and direction) are combined into one.
This makes it consistent with the sort menu on the search results page.

To test, apply the patch and view a list with multiple titles on it.

Test the "Sort by" menu, trying all the various options. Confirm that
the pre-selected item in the sorting menu is correct after each re-sort.

Edit the list to change the default sorting and verify that the "Sort
by" menu reflects your selection.
Comment 2 Katrin Fischer 2019-11-02 22:33:23 UTC
Created attachment 94975 [details] [review]
Bug 23913: Use a single menu to sort lists in the OPAC

This patch modifies the sorting form on the OPAC list contents view so
that the two menus (sort field and direction) are combined into one.
This makes it consistent with the sort menu on the search results page.

To test, apply the patch and view a list with multiple titles on it.

Test the "Sort by" menu, trying all the various options. Confirm that
the pre-selected item in the sorting menu is correct after each re-sort.

Edit the list to change the default sorting and verify that the "Sort
by" menu reflects your selection.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Jonathan Druart 2019-12-16 14:23:04 UTC
Created attachment 96339 [details] [review]
Bug 23913: Use a single menu to sort lists in the OPAC

This patch modifies the sorting form on the OPAC list contents view so
that the two menus (sort field and direction) are combined into one.
This makes it consistent with the sort menu on the search results page.

To test, apply the patch and view a list with multiple titles on it.

Test the "Sort by" menu, trying all the various options. Confirm that
the pre-selected item in the sorting menu is correct after each re-sort.

Edit the list to change the default sorting and verify that the "Sort
by" menu reflects your selection.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Martin Renvoize 2020-01-02 14:45:44 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-01-12 21:33:55 UTC
Not backported to 19.11.x